Loading...
Searching...
No Matches
webcam Module Reference

Webcam Management. More...

## Classes

interface | Channel
| The channel interface. More...
struct | Controls
| Controls. More...
struct | Format
| Format. More...
struct | Image
| Image. More...
struct | ImageMetaData
| Image meta data. More...
struct | Information
| Webcam information. More...
struct | Location
| Location. More...
struct | Settings
| Webcam settings. More...
interface | StorageManager
| The storage manager interface. More...
interface | Webcam
| The webcam interface. More...
struct | WebcamAddedEvent
| This event is emitted after a webcam was added. More...
struct | WebcamEvent
| Base type of all webcam event. More...
interface | WebcamManager
| The webcam manager interface. More...
struct | WebcamRemovedEvent
| This event is emitted after a webcam has been removed. More...

## Enumerations

enum | PixelFormat { MJPEG , JPEG , RGB , YUV }
| PixelFormat. More...
enum | PowerLineFrequency { NOT_SUPPORTED , HZ50 , HZ60 , DISABLED }
| PowerLineFrequency. More...
enum | Priority { VERY_LOW , LOW , NORMAL , HIGH , VERY_HIGH }
| Priority. More...

## Detailed Description

Webcam Management.

## Enumeration Type Documentation

## PixelFormat

enum webcam::PixelFormat

PixelFormat.

Enumerator
MJPEG | Motion JPEG.
JPEG | JPEG.
RGB | RGB encoded.
YUV | YUV encoded.

Definition at line 12 of file Webcam.idl.

## PowerLineFrequency

enum webcam::PowerLineFrequency

PowerLineFrequency.

Definition at line 20 of file Webcam.idl.

## Priority

enum webcam::Priority

Priority.

Enumerator
VERY_LOW | very low
LOW | low
NORMAL | normal
HIGH | high
VERY_HIGH | very high

Definition at line 15 of file WebcamManager.idl.